using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ILoan.Rules.Web.Models.Rules
{
    [Table("Core_Rules", Schema = "core")]
    public partial class CoreRule
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int ID { get; set; }

        [Required]
        public string RuleName { get; set; }

        [Required]
        public string Source { get; set; }

        public decimal? DefaultThreshold { get; set; }

        public bool Blocked { get; set; }

        public bool TriggersManualReview { get; set; }

        public string SuggestedResolution { get; set; }

        public string TriggerReason { get; set; }

        public bool? UseLastRecord { get; set; }

        public string ApplicantType { get; set; }

        public string FilterOnClickthrough { get; set; }

        public string RunBeforeStatus { get; set; }

        public string DisplaySection { get; set; }

        public string WarningField { get; set; }

        [Required]
        public string DutchRuleName { get; set; }

        public string DutchTriggerReason { get; set; }

        public string DutchSuggestedResolution { get; set; }

        public string DutchFilterOnClickthrough { get; set; }

        public string RuleExplanation { get; set; }

        public string DutchRuleExplanation { get; set; }

        public decimal? WorkItemId { get; set; }

        public string Title { get; set; }

        public int Update { get; set; }

        public ICollection<CoreRuleCriterion> CoreRuleCriteria { get; set; } = [];

        public ICollection<CoreRuleCriteriaOperator> CoreRuleCriteriaOperators { get; set; } = [];
    }
}